#ifndef DIALOG_H
#define DIALOG_H

#include <QtGui/QDialog>
#include <QFile>
#include <QLineEdit>
#include <QIcon>


namespace Ui
{
    class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT

public:
    Dialog(QWidget *parent = 0);
    ~Dialog();
    QLineEdit *test_LE;

private:
    Ui::Dialog *ui;
    QString line;
    QString temp;
    QString allqsos;
    QStringList contestlist;
    QString s;
    QString filename;
    QString other_contest;
    QIcon err;
    int adrline;
    int sbline;
    int numqsos;
    bool logerr;
    bool adif;
    void parseit();
    void parseV2();
    void parseV3();
    void parsecommon();
    void clearall();
    void make_header();
    void red_btn();
    void green_btn();

private slots:

    void on_error_PB_clicked();
    void on_contest_CB_currentIndexChanged(QString );
    void on_print_log_PB_clicked();
    void on_test_PB_clicked();
    void on_write_log_PB_clicked();   
    void on_pushButton_2_clicked();


};

#endif // DIALOG_H
